'use strict';

var _jsxAstUtils = require('jsx-ast-utils');

var _schemas = require('../util/schemas');

/**
 * @fileoverview Enforce <marquee> elements are not used.
 * @author Ethan Cohen
 */

// ----------------------------------------------------------------------------
// Rule Definition
// ----------------------------------------------------------------------------

var errorMessage = 'Do not use <marquee> elements as they create accessibility issues and are deprecated.';

var schema = (0, _schemas.generateObjSchema)();

module.exports = {
  meta: {
    docs: {},
    schema: [schema]
  },

  create: function create(context) {
    return {
      JSXOpeningElement: function JSXOpeningElement(node) {
        var isMarquee = (0, _jsxAstUtils.elementType)(node) === 'marquee';

        if (isMarquee) {
          context.report({
            node: node,
            message: errorMessage
          });
        }
      }
    };
  }
};